MessagesPropertiesUnitTest (jTDS API)
Keywords: net.sourceforge.jtds.test.MessagesPropertiesUnitTest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.test
Class MessagesPropertiesUnitTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sourceforge.jtds.test.UnitTestBase
                  net.sourceforge.jtds.test.MessagesPropertiesUnitTest

All Implemented Interfaces:
  junit.framework.Test

public class MessagesPropertiesUnitTest
extends UnitTestBase

Unit tests for the `Messages.properties` file.

Version:
  $Id: MessagesPropertiesUnitTest.java,v 1.3 2005/09/23 21:44:08 ddkilzer Exp $
Author:
  David D. Kilzer

Nested Class Summary
`static class` | `MessagesPropertiesUnitTest.TestDescriptionHasProperty` Tests that a given description key has a matching property key in `Messages.properties`.
`static class` | `MessagesPropertiesUnitTest.TestPropertyHasDescription` Tests that a given property key has a matching description key in `Messages.properties`.

Field Summary

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`MessagesPropertiesUnitTest(java.lang.String name)` Constructor.

Method Summary
`static junit.framework.Test` | `suite()` Construct a test suite for this class.

Methods inherited from class net.sourceforge.jtds.test.UnitTestBase
`assertEquals, invokeConstructor, invokeGetInstanceField, invokeInstanceMethod, invokeSetInstanceField, invokeStaticMethod, ucFirst`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessagesPropertiesUnitTest

    public MessagesPropertiesUnitTest(java.lang.String name)

  Constructor.

Parameters:
  `name` - The name of the test.

Method Detail

### suite

    public static junit.framework.Test suite()

  Construct a test suite for this class.

  Returns:
    The test suite to run.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009